Get Apollo model run status & results
Retrieve the details of an existing Apollo model run, including results if they are available.
Authentication
x-api-keystring
Your API Activation Key
Path parameters
model_run_id
Response
Details of model run's current state
id
The id of the existing model run
createdAt
When the model run was submitted to the API
status
Current status of the model run. Possible values:
* `CREATED`: Model run created; Waiting for files to be uploaded or thymia activities to be completed
* `RUNNING`: All input to model has been supplied and the model is being executed
* `COMPLETE_OK`: Model execution completed ok and results are available
* `COMPLETE_ERROR`: Model execution completed with error and no results available
Allowed values:
userLabel
Label of the user that this model run was submitted for
deleteData
Boolean flag indicating if user data is to be deleted after the completion of the model run.
runAt
The time the model run started executing and the status changed to RUNNING. This is after all input to the model has been supplied
completedAt
When the model run finished processing and either results or an error reason are available; only populated once the model run completes
errorReason
Only populated if the model run ended with COMPLETE_ERROR status
warnings
Contain warnings about potential issues that occurred during the model run.
results
Model results containing mental health indicators. Only populated if the model run ended with `COMPLETE_OK` status.
Results include:
- **disorders**: Depression and anxiety assessments with probability (0-1) and severity (0-1) scores
- **symptoms**: Detailed symptom breakdowns for each disorder, including:
- Depression symptoms: anhedonia, low mood, sleep issues, low energy, appetite issues, worthlessness, concentration issues, psychomotor issues
- Anxiety symptoms: nervousness, uncontrollable worry, excessive worry, trouble relaxing, restlessness, irritability, dread
- Each symptom includes severity (0-1) and distribution across none/mild/moderate/severe categories
report
URLs to access the Apollo report. Only populated if the model run ended with COMPLETE_OK status
errorCode
Only populated if the model run ended with `COMPLETE_ERROR` status. Meaning of each error code:
* `ERR_RECORDING_INVALID_FORMAT` - One or more recordings supplied are in an unsupported format.
* `ERR_RECORDING_TOO_SHORT` - One or more recordings supplied contained less than the minimum required amount of speech.
* `ERR_RECORDING_TOO_LONG` - One or more recordings supplied exceeded the maximum allowed length.
* `ERR_TRANSCRIPTION_FAILED` - Couldn't determine speech in one or more recordings supplied.
* `ERR_INTERNAL` - An internal error occurred.
Allowed values:
model
The version of model used in the model run.